Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::appearance_node Class Reference
[Nodes]

Inheritance diagram for openvrml::appearance_node:

[legend]
List of all members.

## Detailed Description

Abstract base class for appearance nodes.

## Public Member Functions

virtual | ~appearance_node ()=0 throw ()
| Destroy.
void | render_appearance (viewer &v, rendering_context context)
| Insert appearance when rendering.
virtual const node_ptr & | material () const =0 throw ()
| Get the material node associated with this appearance node.
virtual const node_ptr & | texture () const =0 throw ()
| Get the texture node associated with this appearance node.
virtual const node_ptr & | texture_transform () const =0 throw ()
| Get the texture transform node associated with this appearance node.

## Protected Member Functions

| appearance_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.

## Private Member Functions

virtual appearance_node * | to_appearance () throw ()
| Cast to an appearance_node.
virtual void | do_render_appearance (viewer &v, rendering_context context)
| render_appearance implementation.

## Constructor & Destructor Documentation

openvrml::appearance_node::~appearance_node | ( |  | ) | throw ()`[pure virtual]`

| Destroy. Implemented in openvrml::vrml97_node::appearance_node.

openvrml::appearance_node::appearance_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) | throw ()`[protected]`

Construct.

Parameters:

  | type | the node_type associated with the node.
  | scope | the Scope the node belongs to.

Reimplemented in openvrml::vrml97_node::appearance_node.

## Member Function Documentation

void openvrml::appearance_node::render_appearance | ( | viewer & | v,
|  | rendering_context | context
| ) |

Insert appearance when rendering.

Parameters:

  | v | viewer.
  | context | rendering_context.

const node_ptr & openvrml::appearance_node::material | ( |  | ) | const throw ()`[pure virtual]`

Get the material node associated with this appearance node.

Returns:
  the material_node associated with this appearance_node.

Implemented in openvrml::vrml97_node::appearance_node.

const node_ptr & openvrml::appearance_node::texture | ( |  | ) | const throw ()`[pure virtual]`

Get the texture node associated with this appearance node.

Returns:
  the texture_node associated with this appearance_node.

Implemented in openvrml::vrml97_node::appearance_node.

const node_ptr & openvrml::appearance_node::texture_transform | ( |  | ) | const throw ()`[pure virtual]`

Get the texture transform node associated with this appearance node.

Returns:
  the texture_transform_node associated with this appearance_node.

Implemented in openvrml::vrml97_node::appearance_node.

appearance_node * openvrml::appearance_node::to_appearance | ( |  | ) | throw ()`[private, virtual]`

Cast to an appearance_node.

Returns:
  a pointer to this appearance_node.

Reimplemented from openvrml::node.

void openvrml::appearance_node::do_render_appearance | ( | viewer & | v,
|  | rendering_context | context
| ) | `[private, virtual]`

render_appearance implementation.

Parameters:

  | v | viewer.
  | context | rendering_context.

Reimplemented in openvrml::vrml97_node::appearance_node.